//----------------------------------------------------------------------------------------
// SIserialComm.h: CSIserialComm クラスのインターフェイス
//
//
//----------------------------------------------------------------------------------------

#ifndef		SISERIALCOMM_H
#define		SISERIALCOMM_H

#include "windows.h"

class CSIserialComm
{
public:
	CSIserialComm();
	virtual	~CSIserialComm();
	BOOL	open( const char* pcComName, int CommBaud );
	BOOL	close( void );
	void	clearRecvQueue( void );
	int		checkRecvQueue( void );
	int		recv( unsigned char *pcData, int nLength );
	int		send( const unsigned char* pcData, int nLength );

	int		m_nCommStatus;

private:
	HANDLE			m_hComm;
	DCB				m_DCB;
	COMMTIMEOUTS	m_CTO;
};
#endif
